/* global setting styles website */
/* testmode */
.background {
    position: absolute;
    width: 100%;
    height: 100vh;
    z-index: 0;
    /* background: url("pemandangan.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0; */
}

.backgroundSVG1 {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: url("../assets/image/background.svg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 10;
}

/* scroll-bar-custom */
::-webkit-scrollbar {
    width: 0;
}

/* 
input:-webkit-autofill,
input:-webkit-autofill:focus,
input:-webkit-autofill:hover{
    background-color: rgba(0, 0, 0, 0) !important;
    transition: background-color 1s;
} */

/* ::-webkit-scrollbar-track{
    background: ;
}

::-webkit-scrollbar-thumb{
    border-radius: 10px;
} */

/* default setting */
*,
html,
body {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    /* overscroll-behavior: contain; */
}

td,
th,
td {
    text-transform: capitalize;
}

.container {
    position: relative;
    display: flex;
    background-color: white;
    width: 100%;
    height: 100vh;
    z-index: 1;
    justify-content: end;
}

.container-login {
    position: absolute;
    display: flex;
    background-color: white;
    width: 100vw;
    height: 100vh;
    z-index: 1;
    justify-content: center;
    flex-direction: row;
}

.container-content {
    position: relative;
    display: block;
    width: calc(100% - clamp(0px, 12.5%, 300px));
    height: 100%;
}

.container-content-login-card {
    position: relative;
    display: flex;
    width: 750px;
    height: 450px;
    flex-direction: row;
    border-radius: 20px;
    background-color: wheat;
    overflow: hidden;
    box-shadow: 5px 5px 5px 3px rgba(0, 0, 0, 0.3);
}

.container-content-mini {
    width: 95%;
}

.container-content-login {
    position: relative;
    display: flex;
    width: 90%;
    height: 100%;
}

/* .scroll-animation {
    animation: scroll-animation linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
} */

@keyframes scroll-animation {
    from {
        opacity: 0;
        scale: 0.5;
    }

    to {
        opacity: 1;
        scale: 1;
    }
}

:root {
    --negative-primary-color: #000000;
    --primary-color: #ffffff;
    --secondary-color: #0a0f28;
    --third-color: #1e3273;
}

.all-center {
    justify-content: center;
    align-items: center;
    text-align: center;
}

.background-dark-mode {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: black;
}

.background-light-mode {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: white;
}

.background-v1 {
    position: fixed;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, rgb(10, 15, 35), rgb(30, 50, 115));
    z-index: 10;
}

.background-v1-RVRS {
    position: fixed;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgb(10, 15, 35), rgb(30, 50, 115));
    z-index: 10;
}

.background-v2 {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #FC466B;
    background: -webkit-linear-gradient(to right, #3F5EFB, #FC466B);
    background: linear-gradient(to right, #3F5EFB, #FC466B);
    z-index: 10;
}

.background-v3 {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: rgba(63, 94, 251, 0.75);
    z-index: 10;
}

.backgroundLGHT1 {
    position: fixed;
    width: 100%;
    min-height: 100vh;
    background: rgb(235, 235, 235);
    z-index: 1;
    overflow-y: auto;
}

.backgroundLGHT2 {
    background: rgb(247, 247, 247);
}

.backgroundBLUE1 {
    position: fixed;
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(to right, rgba(60, 80, 240), rgb(28, 15, 90));
    z-index: 10;
    overflow-y: auto;
}

/* login-page */
.card-login {
    position: relative;
    display: flex;
    width: 50%;
    height: 100%;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    background-color: rgb(255, 255, 255);
    /* backdrop-filter: blur(15px); */
    /* border: 1.25px solid rgba(255, 255, 255, 0.15); */
    z-index: 20;
    font-size: 1vw;
    overflow: hidden;
}

.side-card {
    position: relative;
    display: flex;
    width: 50%;
    height: 100%;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    font-size: 1vw;
    color: white;
    padding: 2.5vh .75vw;
}

.title-side {
    text-align: center;
    font-size: 40px;
    margin-bottom: clamp(10px, 2vh, 20px);
}

.title {
    text-align: center;
    font-size: 42.5px;
    margin-bottom: 2%;
}

.description-side {
    text-align: center;
    font-size: 15px;
    margin-bottom: clamp(5px, .5vh, 10px);
    line-height: 22.5px;
}

.description {
    text-align: center;
    font-size: 15px;
    /* margin-bottom: 2.5%; */
}

.message {
    position: relative;
    text-align: center;
    font-size: 15px;
    width: 80%;
    padding-block: 1%;
    left: 10%;
}

#form-login {
    position: relative;
    margin-top: 7.5%;
}

.input-group1 {
    margin-bottom: 11%;
    position: relative;
    height: auto;
    font-size: 15px;
}

.input-group2 {
    margin-bottom: 8.5%;
    position: relative;
    height: auto;
    font-size: 15px;
}

.label {
    position: fixed;
    text-align: left;
    font-size: 15px;
}

#username,
#password {
    position: relative;
    /* margin-top: clamp(15px, 3vh, 25px); */
    /* margin-bottom: clamp(10px, 3vh, 25px); */
}

.label-username {
    position: absolute;
    display: flex;
    left: 7.5%;
    color: black;
    font-size: 15px;
    bottom: 112.5%;
}

.label-password {
    position: absolute;
    display: flex;
    left: 7.5%;
    color: black;
    font-size: 15px;
    bottom: 112.5%;
}

.icon-input {
    position: absolute;
    margin-left: 5px;
    margin-top: 5px;
    font-size: 15px;
    color: rgba(0, 0, 0);
}

.input {
    position: relative;
    width: 80%;
    padding: 5px 10px 10px 30px;
    outline: none;
    border: none;
    color: rgb(0, 0, 0);
    border-bottom: 1.5px solid rgba(0, 0, 0, 0.5);
    background-color: rgba(0, 0, 0, 0);
}


.input {
    position: relative;
    text-align: left;
    font-size: 15px;
}

.btn-eye {
    position: absolute;
    width: 27.5px;
    height: 27.5px;
    color: rgba(0, 0, 0);
    background-color: rgba(255, 255, 255);
    border: none;
    outline: none;
    cursor: pointer;
    top: 10%;
    right: 10.5%;
    z-index: 10;
}

.eye-icon {
    font-size: 15px;
}

.btn-login {
    width: 75%;
    margin-bottom: 5%;
    font-size: 17.5px;
    padding: 10px 0px;
    border-radius: 7.5px;
    color: white;
    border: none;
    cursor: pointer;
    background: rgb(64, 113, 244);
    transition: 0.2s;
}

.btn-login:hover {
    background: rgb(42, 86, 207);
}

.link-register {
    position: relative;
    display: flex;
    font-size: 15px;
    top: .5%;
    left: 60%;
}

/* header */
.container-header {
    position: fixed;
    display: flex;
    width: calc(100% - clamp(0px, 12.5%, 300px));
    height: clamp(0px, 11.5%, 160px);
    left: clamp(0px, 12.5%, 300px);
    top: 0;
    box-sizing: border-box;
    z-index: 20;
    transition: 1.1s;
    box-sizing: border-box;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.1);
    justify-content: end;
}

.container-image {
    width: 100%;
    height: auto;
    justify-content: start;
}

.container-image a {
    position: relative;
    display: flex;
    width: 14vw;
    height: 100%;
}

.image-header {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    margin: .5vh 0vw .5vh .5vw;
}

.icon-container {
    position: absolute;
    display: flex;
    width: auto;
    height: 100%;
    align-items: center;
    margin-right: 2.5vw;
}

.icon-header-link {
    text-decoration: none;
    color: rgb(125, 125, 125);
    font-size: 1vw;
}

.icon-header {
    position: relative;
    display: flex;
    font-size: 20px;
}

.icon-user {
    border-radius: 100px;
    font-size: clamp(10px, 1.25em, 30px);
    padding: 12.5px;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.icon-setting {
    border-radius: 100px;
    font-size: clamp(10px, 1.25em, 30px);
    padding: 12.5px;
    margin-right: 1.5vw;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.icon-setting,
.icon-user {
    background-color: rgb(64, 113, 244);
    color: white;
}

.icon-setting:hover,
.icon-user:hover {
    background-color: rgb(42, 86, 207);
    color: white;
}

.header-mini {
    left: clamp(0px, 5%, 100px);
    width: calc(100% - clamp(0px, 5%, 100px));
}

.icon-container-mini {
    position: absolute;
    display: flex;
    width: auto;
    height: 100%;
    margin-right: 7.5vw;
    align-items: center;
}

/* header-mobile */
.container-header-mobile {
    position: fixed;
    display: flex;
    width: 100%;
    height: clamp(30px, 11%, 1000px);
    left: 0;
    top: 0;
    box-sizing: border-box;
    z-index: 20;
    transition: 1.1s;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.1);
    justify-content: end;
    overflow: hidden;
}

.container-image-mobile {
    width: 100%;
    height: auto;
    justify-content: start;
}

.link-header-mobile {
    position: absolute;
    width: auto;
    max-width: 140px;
}

.image-header-mobile {
    position: relative;
    display: flex;
    width: 100%;
    height: clamp(30px, 9.75vh, 52.5px);
    margin: .5vh 0vh 1vh 1.5vh;
}

.icon-container-mobile {
    position: absolute;
    display: flex;
    width: auto;
    height: 100%;
    margin-left: 22.5vh;
    align-items: center;
}

.icon-header-link-mobile {
    text-decoration: none;
    color: rgb(125, 125, 125);
}

.icon-header-mobile {
    position: relative;
    display: flex;
}

.icon-setting-mobile {
    border-radius: 100px;
    width: 27.5px;
    height: 27.5px;
    font-size: 15px;
    margin-right: 2.75vw;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.icon-user-mobile {
    border-radius: 100px;
    width: 25px;
    height: 25px;
    font-size: 15px;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin-right: 1.5vw;
}

.icon-setting-mobile,
.icon-user-mobile {
    background-color: rgb(64, 113, 244);
    color: white;
}

.icon-setting-mobile:hover,
.icon-user-mobile:hover {
    background-color: rgb(42, 86, 207);
    color: white;
}

.span-resize-navbar-mobile {
    position: relative;
    display: flex;
    cursor: pointer;
    width: 30px;
    height: 30px;
    flex-direction: column;
    justify-content: space-evenly;
    border: none;
    margin-right: 2.5vw;
    margin-left: 2vw;
    background-color: rgba(0, 0, 0, 0);
}

.line1-mobile,
.line2-mobile,
.line3-mobile {
    background-color: rgb(64, 113, 244);
    height: 2.65px;
    border-radius: 15px;
    width: 20px;
}

.navbar-data-mobile {
    position: fixed;
    width: clamp(150px, 40vw, 225px);
    height: 100vh;
}

.navbar-data-mobile-invisible {
    display: none;
}

.navbar-data-mobile-invisible-animation {
    display: flex;
    animation: .75s animation-invisible-navbar-mobile ease-out;
}

@keyframes animation-invisible-navbar-mobile {
    0% {
        left: calc(100% - clamp(150px, 40vw, 225px))
    }

    100% {
        left: 125vw;
    }
}

.navbar-data-mobile-show {
    display: flex;
    animation: .75s animation-show-navbar-mobile ease;
}

@keyframes animation-show-navbar-mobile {
    0% {
        left: 125vw;
    }

    100% {
        left: calc(100% - clamp(150px, 40vw, 225px))
    }
}

.navbar-nav-mobile {
    position: relative;
    display: flex;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    background-color: rgb(64, 113, 244);
}

.navbar-list-mobile {
    position: relative;
    display: block;
    width: 100%;
    height: clamp(40px, 10vh, 50px);
    border: 2.5px solid rgb(64, 113, 244);
}

.navbar-span-mobile {
    display: flex;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    transition: 0.25s linear;
    background-color: rgb(64, 113, 244);
    color: white;
}

.link-navbar-mobile {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    align-items: center;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    transition: 0.25s linear;
    background-color: rgb(64, 113, 244);
    color: white;
    font-size: 2vw;
}

.link-navbar-mobile-head {
    position: relative;
    display: flex;
    width: 100%;
    height: auto;
    font-size: 15px;
}

.btn-close-mobile {
    background-color: rgb(64, 113, 244);
    border: none;
    color: white;
    cursor: pointer;
    height: 20px;
    margin-top: 1.5vh;
    margin-left: 2.5vw;
}

.icon-close {
    font-size: 2em;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.title-head-navbar-mobile {
    align-items: center;
    position: relative;
    font-size: clamp(15px, 1.7em, 30px);
    margin-left: 2.5vw;
    margin-top: 1.5vh;
    color: rgb(255, 255, 255);
}

.icon-mobile {
    margin-left: 17.5%;
    margin-right: 5%;
    font-size: clamp(13px, 1.25em, 20px);
}

.link-description-mobile {
    font-size: clamp(13px, 1.25em, 20px);
}

/* navbar */
.container-navbar {
    position: fixed;
    display: block;
    width: clamp(0px, 12.5%, 300px);
    height: 100%;
    transition: 1.1s;
    box-sizing: border-box;
    background-color: rgb(64, 113, 244);
    box-shadow: 3px 0px 5px rgba(0, 0, 0, 0.1);
    z-index: 20;
    overflow: hidden;
}

.navbar-mini {
    width: clamp(0px, 5%, 100px);
}

.navbar-head {
    position: relative;
    display: flex;
    width: 100%;
    height: clamp(0px, 11.5vh, 150px);
    font-size: 2vw;
}

.title-head-navbar {
    position: relative;
    font-size: clamp(15px, 1em, 50px);
    margin-left: 5px;
    margin-top: clamp(0px, 4vh, 45px);
    color: rgb(255, 255, 255);
}

.title-head-navbar-animation {
    animation: 1s animation-navbar-description ease-out;
}

.title-head-navbar-mini {
    display: none;
}

@keyframes animation-navbar-description {
    0% {
        right: 10vw;
    }

    100% {
        right: 0;
    }
}

.link-respon-navbar {
    position: relative;
    width: auto;
    height: auto;
}

.span-resize-navbar {
    position: relative;
    display: flex;
    cursor: pointer;
    transition: all 0.3s ease;
    width: clamp(27.5px, 2.75vw, 80px);
    height: clamp(0px, 6vh, 75px);
    top: clamp(0px, 3.5vh, 40px);
    flex-direction: column;
    justify-content: space-evenly;
    border: none;
    background-color: rgba(0, 0, 0, 0);
    border-radius: 1000px;
}

.span-resize-navbar-animation {
    animation: 1.2s animation-navbar-resize ease;
}

.span-resize-navbar-invisible {
    display: none;
}

@keyframes animation-navbar-resize {
    0% {
        left: max(-500px, -9vw);

    }

    100% {
        left: 0vw;
    }
}

.span-resize-navbar:hover {
    background-color: rgb(42, 86, 207);
}

.line1,
.line2,
.line3 {
    background-color: rgb(255, 255, 255);
    /* background-color: rgb(0, 0, 0); */
    transition: 0.4s;
    height: clamp(0px, 0.5vh, 8px);
    border-radius: 15px;
    margin-left: clamp(5px, .5vw, 10px);
}

.line1 {
    display: block;
    width: clamp(20.5px, 2.25vw, 55px);
}

.line2 {
    display: block;
    width: clamp(5.5px, 1.1vw, 26.5px);
}

.line3 {
    display: block;
    width: clamp(11.5px, 1.6vw, 40px);
}

.span-resize-navbar:hover .line1,
.span-resize-navbar:hover .line2,
.span-resize-navbar:hover .line3 {
    background-color: rgb(255, 255, 255);
}

.span-resize-navbar:hover .line1 {
    width: clamp(11.5px, 1.6vw, 40px);
}

.span-resize-navbar:hover .line2 {
    width: clamp(20.5px, 2.25vw, 55px);
}

.span-resize-navbar:hover .line3 {
    width: clamp(5.5px, 1.1vw, 26.5px);
}

.span-resize-navbar-mini {
    position: relative;
    display: none;
    cursor: pointer;
    width: clamp(27.5px, 2.75vw, 55px);
    height: clamp(0px, 6vh, 75px);
    top: clamp(0px, 3.5vh, 40px);
    left: clamp(10px, 1.15vw, 17.5px);
    flex-direction: column;
    justify-content: space-evenly;
    border: none;
    background-color: rgba(0, 0, 0, 0);
    border-radius: 1000px;
}

.span-resize-navbar-mini-show {
    display: flex;
}

.span-resize-navbar-mini-animation {
    animation: 1s animation-resize-navbar ease;
}

.span-resize-navbar-mini-show:hover {
    background-color: rgb(42, 86, 207);
}


@keyframes animation-resize-navbar {
    0% {
        left: clamp(0px, 10vw, 190px);
    }

    100% {
        left: clamp(10px, 1.15vw, 17.5px);
    }
}

.line1-mini,
.line2-mini,
.line3-mini {
    background-color: rgb(255, 255, 255);
    /* background-color: rgb(0, 0, 0); */
    transition: 0.4s;
    height: clamp(0px, 0.5vh, 8px);
    border-radius: 15px;
    margin-left: clamp(5px, .5vw, 10px);
}

.line1-mini {
    display: block;
    width: clamp(20.5px, 2.25vw, 55px);
}

.line2-mini {
    display: block;
    width: clamp(5.5px, 1.1vw, 26.5px);
}

.line3-mini {
    display: block;
    width: clamp(11.5px, 1.6vw, 40px);
}

.span-resize-navbar-mini-show:hover .line1-mini,
.span-resize-navbar-mini-show:hover .line2-mini,
.span-resize-navbar-mini-show:hover .line3-mini {
    /* background-color: rgb(42, 86, 207); */
    background-color: rgb(255, 255, 255);
}

.span-resize-navbar-mini-show:hover .line1-mini {
    width: clamp(11.5px, 1.6vw, 40px);
}

.span-resize-navbar-mini-show:hover .line2-mini {
    width: clamp(20.5px, 2.25vw, 55px);
}

.span-resize-navbar-mini-show:hover .line3-mini {
    width: clamp(5.5px, 1.1vw, 26.5px);
}

.navbar-data {
    position: relative;
    display: flex;
    width: 100%;
}

.navbar-nav {
    position: relative;
    display: flex;
    width: 100%;
    height: auto;
    flex-direction: column;
    justify-content: end;
}

.navbar-nav-invisible {
    display: none;
    background-color: rgba(0, 0, 0, 0);
    color: rgba(0, 0, 0, 0);
}

.navbar-nav-mini {
    position: relative;
    display: none;
    width: 100%;
    height: auto;
    flex-direction: column;
    justify-content: end;
}

.navbar-nav-mini-show {
    display: flex;
}

.navbar-span-mini {
    display: flex;
    width: 85%;
    height: 100%;
    border-radius: 10px;
    transition: 0.25s linear;
    background-color: rgb(64, 113, 244);
    color: white;
}

.link-navbar-mini {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    /* justify-content: center; */
    align-items: center;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    background-color: rgb(64, 113, 244);
    color: white;
    border-radius: 100px;
    font-size: 1vw;
}

.link-navbar-mini:hover {
    background-color: rgb(42, 86, 207);
}

.link-navbar-mini:focus {
    background-color: rgb(42, 86, 207);
}

.icon-mini {
    margin-left: 34%;
    margin-right: 5%;
    font-size: clamp(15px, 1.25em, 30px);
}

.navbar-list {
    position: relative;
    display: block;
    width: 95%;
    height: clamp(32.5px, 7.5vh, 80px);
    margin: 0px 2.5px 0px 2.5px;
    border: 2.5px solid rgb(64, 113, 244);
}

.navbar-span {
    display: flex;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    transition: 0.25s linear;
    background-color: rgb(64, 113, 244);
    color: white;
}

.link-navbar {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    /* justify-content: center; */
    align-items: center;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    transition: 0.25s linear;
    background-color: rgb(64, 113, 244);
    color: white;
    font-size: 1vw;
}

.link-navbar-none {
    display: none;
}

.navbar-span:hover,
.link-navbar:hover {
    background-color: rgb(42, 86, 207);
    border-radius: 7.5px;
}

.navbar-span:focus,
.link-navbar:focus {
    background-color: rgb(42, 86, 207);
    border-radius: 7.5px;
}

.icon {
    margin-left: 17.5%;
    margin-right: 5%;
    font-size: clamp(10px, 1.25em, 30px);
}

.link-description {
    font-size: clamp(10px, 1.25em, 30px);
}

/* home-page */
#home {
    z-index: 0;
    overflow: hidden;
}

.image-background-container {
    position: fixed;
    left: 50vw;
    width: 50vw;
    height: 100vh;
    overflow: hidden;
    z-index: -100;
    opacity: 0;
    visibility: hidden;
    animation: animation-image-background 2s ease-out forwards, animation-matrix 10s infinite linear;
    animation-delay: .75s;
}

@keyframes animation-matrix {
    0% {
        transform: matrix(1, 0, 0, 1, 0, 0);
    }
    50% {
        transform: matrix(1.025, 0.02, -0.02, 1.025, 10, 10);
    }
    100% {
        transform: matrix(1, 0, 0, 1, 0, 0);
    }
}

@keyframes animation-image-background {
    0% {
        opacity: 0;
        visibility: hidden;
    }

    100% {
        opacity: 1;
        visibility: visible;
    }
}

.image-background-container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 75%;
    height: 100%;
    background: linear-gradient(to right,
            rgb(247, 247, 247) 0%,
            rgba(247, 247, 247, 0.9) 15%,
            rgba(247, 247, 247, 0.7) 30%,
            rgba(247, 247, 247, 0.3) 60%,
            rgba(247, 247, 247, 0.1) 85%,
            rgba(247, 247, 247, 0) 100%);
    pointer-events: none;
    z-index: 1;
}

.kilomedia-background {
    position: absolute;
    top: 0;
    left: 0;
    width: clamp(0px, 100%, 20000px);
    height: clamp(0px, 100%, 20000px);
    object-fit: cover;
    filter: brightness(75%);
    /* transform: translateX(5%)  */
}

.text-home-container {
    position: relative;
    width: clamp(250px, 50vw, 1750px);
    max-width: 2000px;
    height: auto;
    color: rgb(10, 10, 10);
    font-size: 2.5vw;
    margin-top: clamp(0px, 22.5vh, 500px);
    margin-left: clamp(0px, 5vw, 150px);
    transform: translateX(2vw);
    visibility: hidden;
    opacity: 0;
    animation: animation-box-home .75s ease-out forwards;
    animation-delay: .5s;
}

@keyframes animation-box-home {
    0% {
        transform: translateX(2vw);
        visibility: hidden;
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        visibility: visible;
        opacity: 1;
    }
}

.title-welcome-login {
    font-size: clamp(35px, 1.75em, 125px);
    margin: 0;
}

.description-welcome-login {
    font-size: clamp(10px, .5em, 40px);
    margin-top: 2.75vh;
}

.title-type-text {
    position: relative;
    font-size: clamp(13px, .95em, 80px);
    margin-top: 1.75vh;
}

.type-text {
    animation: animation-home 2s ease forwards;
    animation-delay: 2s;
    position: absolute;
    height: 100%;
    top: 5%;
    margin-left: .75vw;
    font-size: clamp(13px, .95em, 80px);
    border-right: clamp(1.5px, .2vw, 7.5px) solid black;
    animation: typing 2.5s steps(25, end) infinite, change-text 7.5s linear infinite;
    animation-delay: .6s;
}

.type-text::before {
    content: "";
    position: absolute;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    animation: typing 2.5s steps(25, end) infinite, change-text 7.5s linear infinite;
    animation-delay: .6s;
    -webkit-user-select: text;
    -moz-user-select: text;
    user-select: text;
}

@keyframes change-text {

    0%,
    33% {
        content: 'Linux-Users';
    }

    34%,
    66% {
        content: 'Web-Developer';
    }

    67%,
    100% {
        content: 'Network-Engineer';
    }
}

@keyframes typing {
    0% {
        width: 0;
    }

    50% {
        width: 15ch;
    }

    51%,
    71% {
        width: 15ch;
    }

    85% {
        width: 0;
    }

    100% {
        width: 0;
    }
}

.sosmed-container {
    position: relative;
    display: flex;
    justify-content: left;
    width: 100%;
    height: auto;
    align-items: center;
    margin-left: clamp(0px, 5vw, 150px);
    font-size: 2.5vw;
    gap: clamp(10px, 2vw, 60px);
    transform: translateY(7.5vh);
    opacity: 0;
    animation: animation-sosmed .75s ease-out forwards;
    animation-delay: 1.25s;
}

@keyframes animation-sosmed {
    0% {
        transform: translateY(7.5vh);
        opacity: 0;
    }

    100% {
        transform: translateY(2.5vh);
        opacity: 1;
    }
}

.btn-home {
    padding: clamp(2.5px, .75vh, 20px) 0px;
    width: clamp(50px, 7.5vw, 200px);
    font-size: clamp(10px, .5em, 35px);
    background-color: rgba(60, 80, 240);
    border: none;
    outline: none;
    color: white;
    border-radius: 100px;
    cursor: pointer;
}

.btn-home:active {
    background-color: rgb(4, 60, 200);
}

.icon-sosmed {
    border-radius: 100px;
    /* border: 1px solid black;
    background-color: black; */
    color: black;
    font-size: clamp(20px, .9em, 75px);
}

.image-home-container {
    position: relative;
    width: 50%;
    height: 85%;
    transform: translate(100%, -67.5%);
    z-index: 10;
}

.image-home-container img {
    position: absolute;
    display: block;
    max-width: 100%;
    max-height: 100%;
    height: auto;
    object-fit: cover;
    opacity: 0.75;
    filter: brightness(75%);
}

/* user-page */
.info-user {
    margin-top: clamp(0px, 12.5vh, 190px);
    margin-left: clamp(0px, 2.5vw, 70px);
}

.hello-user {
    color: black;
    margin-bottom: 1vh;
}

.description-hello-user {
    color: black;
    margin-bottom: 1vh;
}

.table-user {
    position: relative;
    display: block;
    width: 97.5%;
    height: auto;
    border-collapse: collapse;
    text-align: left;
    border-left: 1px solid rgb(222, 222, 223);
    border-right: 1px solid rgb(222, 222, 223);
    font-size: 1vw;
}

.table-user thead th,
.table-user tbody td {
    width: 100vh;
    border-top: 1px solid rgb(222, 222, 223);
    border-bottom: 1px solid rgb(222, 222, 223);
}

.table-user thead th {
    padding: 10px 0px 10px 5px;
    font-size: clamp(15px, 1.25em, 20px);
    background-color: rgb(64, 113, 244);
    color: rgb(250, 245, 255);
}

.table-user tbody td {
    padding: 10px 0px 10px 5px;
    font-size: clamp(10px, 1em, 17.5px);
}

.table-user tbody tr:nth-child(odd) {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
}

.table-user tbody tr:nth-child(even) {
    background-color: rgb(248, 249, 250);
    color: rgb(0, 0, 0);
}

.table-user tbody tr:hover {
    background-color: rgb(242, 242, 242);
}

/* jurnal-page */
.info-jurnal {
    margin-top: clamp(0px, 12.5vh, 190px);
    margin-left: clamp(0px, 2.5vw, 70px);
}

.area-button-jurnal {
    position: relative;
    margin: 1vh 0;
    height: auto;
}

.btn-jurnal {
    position: relative;
    border: none;
    padding: 5px;
    margin: 0px 5px;
    border-radius: 2.5px;
    cursor: pointer;
    color: white;
    background-color: rgb(64, 113, 244);
}

.btn-png {
    background-color: rgb(210, 210, 213);
    color: black;
    width: clamp(45px, 7.5vw, 150px);
    height: clamp(17.5px, 4.5vh, 50px);
    font-size: clamp(7.5px, 1vw, 20px);
}

.btn-png:hover {
    background-color: rgb(185, 185, 187);
}

.btn-excel {
    background-color: rgb(30, 110, 66);
    width: clamp(45px, 7.5vw, 150px);
    height: clamp(18.5px, 4.5vh, 50px);
    font-size: clamp(7.5px, 1vw, 20px);
}

.btn-excel:hover {
    background-color: rgb(15, 95, 51);
}

.list-dropdown {
    display: inline-block;
    width: clamp(45px, 10vw, 175px);
    height: clamp(18.5px, 4.5vh, 50px);
    margin: 0px 5px;
    padding: 0;
}

.dropdown-btn {
    position: relative;
    display: block;
    width: clamp(55px, 100%, 165px);
    height: clamp(18.5px, 100%, 52px);
    font-size: clamp(7.5px, 1vw, 20px);
    outline: none;
    border: none;
    cursor: pointer;
    border-radius: 2.5px;
    color: white;
    background-color: rgb(255, 206, 48);
}

.dropdown-btn:focus {
    background-color: rgb(230, 181, 23);
}

.dropdown-btn:hover {
    background-color: rgb(240, 191, 33);
}

.dropdown-menu {
    position: absolute;
    display: none;
    flex-direction: column;
    flex-wrap: wrap;
    z-index: 100;
    list-style: none;
    padding: 0;
}

.show-dropdown-menu {
    position: absolute;
    display: flex;
    animation: dropdown-effect 0.1s linear;
}

.dropdown-menu li {
    position: relative;
    margin: 0;
    padding: 0;
    height: clamp(15px, 4.5vh, 40px);
}

@keyframes dropdown-effect {
    0% {
        margin-top: 0.75vh;
    }

    100% {
        margin-top: 0;
    }
}

.fa-angle-down-reverse {
    position: relative;
    animation: svg-effect-reverse 0.15s ease-out forwards;
}

@keyframes svg-effect-reverse {
    from {
        transform: rotate(180deg);
    }

    to {
        transform: rotate(0deg);
    }
}

.fa-angle-down-animation {
    animation: svg-effect 0.15s ease-out forwards;
}

@keyframes svg-effect {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(180deg);
    }
}

.btn-dropdown-jurnal {
    position: relative;
    width: clamp(55px, 10vw, 165px);
    height: 100%;
    font-size: clamp(7.5px, 1vw, 20px);
    /* padding: clamp(0px, 1.5vh, 7.25px) 5px; */
    margin: 0;
    outline: none;
    border: none;
    cursor: pointer;
    color: white;
    background-color: rgb(255, 206, 48);
    border-top: 0.01px solid rgb(100, 100, 100, 0.25);
}

.btn-dropdown-jurnal:hover {
    background-color: rgb(240, 191, 33);
    transform: scale(1.05, 1.05);
}

.table-jurnal {
    position: relative;
    display: block;
    width: 97.5%;
    height: auto;
    border-collapse: collapse;
    text-align: left;
    margin-top: 12.5px;
    table-layout: fixed;
    border-right: 1px solid rgb(222, 222, 223);
    border-left: 1px solid rgb(222, 222, 223);
    font-size: 1vw;
}

.table-jurnal thead th,
.table-jurnal tbody td {
    padding: clamp(0px, 1.5vh, 15px) clamp(0px, .5vw, 8px);
    border-top: 1px solid rgb(222, 222, 223);
    border-bottom: 1px solid rgb(222, 222, 223);
}

.table-jurnal thead th {
    color: white;
    background-color: rgb(64, 113, 244);
    border-top: 1px solid rgb(222, 222, 223);
    border-right: none;
    border-left: none;
    font-size: clamp(7.5px, 1.25em, 20px);
}

.table-jurnal tbody {
    border-left: 1px solid rgb(222, 222, 223);
}

.table-jurnal tbody td {
    font-size: clamp(6px, 1em, 15px);
    color: rgb(45, 45, 45);
}

.table-jurnal tbody tr:nth-child(odd) {
    background-color: rgb(255, 255, 255);
}

.table-jurnal tbody tr:nth-child(even) {
    background-color: rgb(248, 249, 250);
}

.table-jurnal tbody tr:hover {
    background-color: rgb(242, 242, 242);
}

.number-collumn-jurnal {
    width: clamp(0px, 5vw, 30px);
    height: auto;
    text-align: center;
}

.username-collumn-jurnal {
    min-width: clamp(40px, 7.5vw, 200px);
    width: auto;
    height: auto;
}

.startend-collumn-jurnal {
    width: clamp(85px, 7.5vw, 150px);
    height: auto;
}

.duration-collumn-jurnal {
    width: clamp(80px, 8.5vw, 175px);
    height: auto;
}

.description-collumn-jurnal {
    width: 50vw;
    height: auto;
    border-right: 1px solid rgb(222, 222, 223);
}

/* error-page */
.a-error {
    position: relative;
    display: flex;
    width: 100%;
    height: 100vh;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.text-area-error {
    display: block;
    background-color: rgb(255, 255, 255);
    box-shadow: 5px 5px 5px 5px rgba(0, 0, 0, 0.2);
    width: 512px;
    height: 300px;
    font-size: 90%;
}

.title-error {
    margin-top: 10%;
    font-size: 5em;
    color: rgba(0, 0, 0, .65);
}

.description-error {
    margin-top: .5%;
    font-size: 2.5em;
    /* margin-bottom: 100px; */
    color: rgba(0, 0, 0, .65);
}

.btn-bck-home {
    margin-top: 2.5%;
    padding: 7.5px 12.5px;
    background-color: rgb(0, 155, 255);
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    font-size: 1.5em;
}

.btn-bck-home:hover {
    background-color: rgb(0, 125, 225);
}